﻿using Tile16_Unity_Testable;
using UnityEngine;
using UnityEngine.UI;

public class ProgressControllerBehavior : MonoBehaviour
{

    private Animator animator;
    private Image progressBar;

	// Use this for initialization
	void Start ()
	{
	    progressBar = GetComponent<Image>();
	    animator = GetComponent<Animator>();
	}
	
	// Update is called once per frame
	void Update ()
	{
	    if (!animator.GetCurrentAnimatorStateInfo(0).IsName("Idle")) return;
	    var progress = 1 - GameController.Time/ GameController.WaveTimeOut;
	    progressBar.fillAmount = progress;
	    if (progress > 0.99)
	        animator.SetTrigger("Pop");
	}
}
