﻿namespace Tile16_Unity_Testable
{
    public interface GameControllerMediator
    {
        void Initialize();
        void UpdateBoard();

        void PlayNextWaveSfx();
        void PlayWinSfx();
        void PlayLoseSfx();
        void EnableWinAnimation();
        void EnableLoseAnimation();
        void DisableWinAnimation();
        void DisableLoseAnimation();

        float GetDeltaTime();

        
    }
}