﻿namespace Tile16_Decoupled
{
    public interface IWinConditions
    {
        bool GameOver { get; }
        bool GameWon { get; }
        int WinningTileValue { get; set; }

        bool GameOverButDidntWin();
        bool IsGameWon();
        bool NotWinningButNotGameOver();
        void Reset();
        void SetBoard(Board board);
        void UpdateStatusByBiggestTileValue();
    }
}