﻿using Tile16_Decoupled;
using UnityEngine;

namespace Tile16_Unity_Testable
{
    public interface TileCreatorMediator
    {
        float GetTileWidth();
        Vector2 GetGridLowerLeftCorner();
        void InstantiateTile();
        void AddTileToTileControllerDictionary(Tile tile, Point pos);

        void SetNewTile(GameObject newTile);

        void SetValueText(string valueText);
        void SetTilePosition(Vector2 position);
        void SetTileColor(Color32 tileColor);
    }
}